unit Priority_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit;

type
  TPriority = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    PocetMezerZaci: TEdit;
    Label4: TLabel;
    PocetMezerUcitele: TEdit;
    Label5: TLabel;
    ZacatekPrvni: TEdit;
    MaloOdHodina: TEdit;
    OK: TButton;
    Storno: TButton;
    MaloOd: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    procedure OKClick(Sender: TObject);
    procedure StornoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure PocetMezerZaciExit(Sender: TObject);
    procedure PocetMezerUciteleExit(Sender: TObject);
    procedure ZacatekPrvniExit(Sender: TObject);
    procedure MaloOdHodinaExit(Sender: TObject);
    procedure MaloOdExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Priority: TPriority;
  StisknutoOK: Boolean;
  SeznamPrioritZaloha: TSeznamPriorit;

implementation

{$R *.DFM}

procedure TPriority.OKClick(Sender: TObject);
begin
  StisknutoOK := True;
  Close;
end;

procedure TPriority.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TPriority.FormShow(Sender: TObject);
begin
StisknutoOK := False;
SeznamPrioritZaloha := TSeznamPriorit.Create;
SeznamPrioritZaloha.Kopiruj(SeznamPriorit);
PocetMezerZaci.Text := IntToStr(SeznamPriorit.VypisPocetMezerZaci);
PocetMezerUcitele.Text := IntToStr(SeznamPriorit.VypisPocetMezerUcitele);
ZacatekPrvni.Text := IntToStr(SeznamPriorit.VypisZacatekPrvni);
MaloOdHodina.Text := IntToStr(SeznamPriorit.VypisMaloOdHodina);
MaloOd.Text := IntToStr(SeznamPriorit.VypisMaloOd);
ActiveControl := PocetMezerZaci;
end;


procedure TPriority.FormClose(Sender: TObject; var Action: TCloseAction);
begin
If StisknutoOK then SeznamPrioritZaloha.Done
               else begin
                    SeznamPriorit.Kopiruj(SeznamPrioritZaloha);
                    SeznamPrioritZaloha.Done;
                    end;
end;

procedure TPriority.PocetMezerZaciExit(Sender: TObject);
var Pr:integer;
begin
try
  Pr := StrToInt(PocetMezerZaci.Text);
  if (Pr < 0) OR (Pr > 10) then raise EConvertError.Create('');
  SeznamPriorit.ZadejPocetMezerZaci(Pr);
except
  MessageDlg('Zde mus bt slo 0..10!',mtCustom, [mbOK],0);
  PocetMezerZaci.Text := IntToStr(SeznamPriorit.VypisPocetMezerZaci);
end;
end;

procedure TPriority.PocetMezerUciteleExit(Sender: TObject);
var Pr:integer;
begin
try
  Pr := StrToInt(PocetMezerUcitele.Text);
  if (Pr < 0) OR (Pr > 10) then raise EConvertError.Create('');
  SeznamPriorit.ZadejPocetMezerUcitele(Pr);
except
  MessageDlg('Zde mus bt slo 0..10!',mtCustom, [mbOK],0);
  PocetMezerUcitele.Text := IntToStr(SeznamPriorit.VypisPocetMezerUcitele);
end;
end;

procedure TPriority.ZacatekPrvniExit(Sender: TObject);
var Pr:integer;
begin
try
  Pr := StrToInt(ZacatekPrvni.Text);
  if (Pr < 0) OR (Pr > 10) then raise EConvertError.Create('');
  SeznamPriorit.ZadejZacatekPrvni(Pr);
except
  MessageDlg('Zde mus bt slo 0..10!',mtCustom, [mbOK],0);
  ZacatekPrvni.Text := IntToStr(SeznamPriorit.VypisZacatekPrvni);
end;
end;

procedure TPriority.MaloOdHodinaExit(Sender: TObject);
var Pr:integer;
begin
try
  Pr := StrToInt(MaloOdHodina.Text);
  if (Pr < 0) OR (Pr > 10) then raise EConvertError.Create('');
  SeznamPriorit.ZadejMaloOdHodina(Pr);
except
  MessageDlg('Zde mus bt slo 0..10!',mtCustom, [mbOK],0);
  MaloOdHodina.Text := IntToStr(SeznamPriorit.VypisMaloOdHodina);
end;
end;

procedure TPriority.MaloOdExit(Sender: TObject);
var Pr:integer;
begin
try
  Pr := StrToInt(MaloOd.Text);
  if (Pr < 0) OR (Pr > 10) then raise EConvertError.Create('');
  SeznamPriorit.ZadejMaloOd(Pr);
except
  MessageDlg('Zde mus bt slo 0..10!',mtCustom, [mbOK],0);
  MaloOd.Text := IntToStr(SeznamPriorit.VypisMaloOd);
end;
end;

end.
