unit PridaniTridy_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit;

type
  TPridaniTridy = class(TForm)
    NovaTrida: TEdit;
    Label1: TLabel;
    OK: TButton;
    Storno: TButton;
    procedure OKClick(Sender: TObject);
    procedure StornoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure NovaTridaKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PridaniTridy: TPridaniTridy;

implementation

uses Tridy_unit;

{$R *.DFM}

procedure TPridaniTridy.OKClick(Sender: TObject);
var Trida: TPTrida;
begin
  If NovaTrida.Text <> '' then
    begin
      If SeznamTrid.JeVSeznamu(NovaTrida.Text) then
        begin
          MessageDlg('Tda "'+NovaTrida.Text+'" u v seznamu je!', mtCustom, [mbOK], 0);
          ActiveControl := NovaTrida;
        end
       else
        begin
          Tridy.TridyComboBox.Items.Add(NovaTrida.Text);
          Tridy.TridyComboBox.Text := NovaTrida.Text;
          new(Trida);
          Trida.Jmeno := NovaTrida.Text;
          Trida.Tridni := '';
          Trida.KmenovaUcebna := '';
          Trida.PocetZaku := 0;
          Trida.Predmety := nil;
          Trida.PocetPredmetu := 0;
          Trida.Dalsi := nil;
          SeznamTrid.Pridej(Trida);
          NovaTrida.Text := '';
          Tridy.TridyComboBoxChange(Sender);
          Close;
          Tridy.ActiveControl := Tridy.TridniUcitelComboBox;
        end;
    end
   else
    begin
      ActiveControl := NovaTrida;
    end;
end;

procedure TPridaniTridy.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TPridaniTridy.FormShow(Sender: TObject);
begin
ActiveControl := NovaTrida;
end;

procedure TPridaniTridy.NovaTridaKeyPress(Sender: TObject; var Key: Char);
begin
if Key = #13 then OKClick(Sender);
end;

end.
