unit Tridy_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Central_unit;

type
  TTridy = class(TForm)
    TridyComboBox: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    TridniUcitelComboBox: TComboBox;
    Label3: TLabel;
    KmenovaUcebnaComboBox: TComboBox;
    NovaTrida: TButton;
    SmazTridu: TButton;
    Label4: TLabel;
    VyucovanePredmety: TListBox;
    PridejPredmet: TButton;
    SmazPredmet: TButton;
    Label5: TLabel;
    VyucujeComboBox: TComboBox;
    Label6: TLabel;
    PozadavekNaUcebnuComboBox: TComboBox;
    RadioGroup1: TRadioGroup;
    CelaTrida: TRadioButton;
    Vyber: TRadioButton;
    UpravVyber: TButton;
    OK: TButton;
    Storno: TButton;
    Label7: TLabel;
    PocetZakuEdit: TEdit;
    Label8: TLabel;
    KolikratEdit: TEdit;
    Dvouhodinovka: TCheckBox;
    procedure OKClick(Sender: TObject);
    procedure StornoClick(Sender: TObject);
    procedure NovaTridaClick(Sender: TObject);
    procedure PridejPredmetClick(Sender: TObject);
    procedure UpravVyberClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SmazTriduClick(Sender: TObject);
    procedure TridyComboBoxChange(Sender: TObject);
    procedure VyucovanePredmetyClick(Sender: TObject);
    procedure VyberClick(Sender: TObject);
    procedure PozadavekNaUcebnuComboBoxChange(Sender: TObject);
    procedure CelaTridaClick(Sender: TObject);
    procedure SmazPredmetClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure PocetZakuEditChange(Sender: TObject);
    procedure PocetZakuEditExit(Sender: TObject);
    procedure KolikratEditExit(Sender: TObject);
    procedure DvouhodinovkaClick(Sender: TObject);
    procedure TridniUcitelComboBoxExit(Sender: TObject);
    procedure VyucujeComboBoxExit(Sender: TObject);
    procedure KmenovaUcebnaComboBoxExit(Sender: TObject);
    procedure TridniUcitelComboBoxChange(Sender: TObject);
    procedure KmenovaUcebnaComboBoxChange(Sender: TObject);
    procedure VyucujeComboBoxChange(Sender: TObject);
    procedure PozadavekNaUcebnuComboBoxExit(Sender: TObject);
    procedure KolikratEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Tridy: TTridy;
  AktualniTrida: TPTrida;
  StisknutoOk: Boolean;
  SeznamTridZaloha: TSeznamTrid;

implementation

uses PridaniTridy_unit, PridaniPredmetu_unit, VyberZaku_unit, Ucitele_unit;

{$R *.DFM}

procedure TTridy.OKClick(Sender: TObject);
begin
  StisknutoOk := True;
  Close;
end;

procedure TTridy.StornoClick(Sender: TObject);
begin
  Close;
end;

procedure TTridy.NovaTridaClick(Sender: TObject);
begin
PridaniTridy.Visible := True;
end;

procedure TTridy.PridejPredmetClick(Sender: TObject);
begin
If AktualniTrida <> nil then PridaniPredmetu.Visible := True;
end;

procedure TTridy.UpravVyberClick(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
     VyberClick(Sender);
     VyberZaku.Visible := True;
   end;
end;

procedure TTridy.FormShow(Sender: TObject);
var UkTr:TPTrida;
    UkUc:TPUcitel;
    UkUce:TPUcebny;
    Uk1,Novy: TPTrida;
    Uk2,NovyPr:TPPredmet;


begin
SeznamTridZaloha := TSeznamTrid.Create;
Uk1 := SeznamTrid.Prvni;
While Uk1 <> nil do
  begin
    new(Novy);
    Novy.Jmeno := Uk1.Jmeno;
    Novy.Tridni := Uk1.Tridni;
    Novy.KmenovaUcebna := Uk1.KmenovaUcebna;
    Novy.PocetZaku := Uk1.PocetZaku;
    Novy.PocetPredmetu := 0;
    Novy.Predmety := nil;
    Novy.Dalsi := nil;
    SeznamTridZaloha.Pridej(Novy);
    Uk2 := Uk1.Predmety;
    While Uk2 <> nil do
      begin
        new(NovyPr);
        NovyPr.Zkratka := Uk2.Zkratka;
        NovyPr.Vyucuje := Uk2.Vyucuje;
        NovyPr.PozadovanaUcebna := Uk2.PozadovanaUcebna;
        NovyPr.Kolikrat := Uk2.Kolikrat;
        NovyPr.Dvouhodinovka := Uk2.Dvouhodinovka;
        NovyPr.CelaTrida := Uk2.CelaTrida;
        NovyPr.Zaci := Uk2.Zaci;
        NovyPr.Dalsi := nil;
        SeznamTridZaloha.PridejPredmetUk(Novy,NovyPr);
        Uk2 := Uk2.Dalsi;
      end;
    Uk1 := Uk1.Dalsi;
  end;

StisknutoOK := False;

TridyComboBox.Clear;
UkTr := SeznamTrid.Prvni;
While UkTr <> nil do
  begin
    TridyComboBox.Items.Add(UkTr.Jmeno);
    UkTr := UkTr.Dalsi;
  end;

TridniUcitelComboBox.Clear;
VyucujeComboBox.Clear;
UkUc := SeznamUcitelu.Prvni;
While UkUc <> nil do
begin
  TridniUcitelComboBox.Items.Add(UkUc.Jmeno);
  VyucujeComboBox.Items.Add(UkUc.Jmeno);
  UkUc := UkUc.Dalsi;
end;

KmenovaUcebnaComboBox.Clear;
PozadavekNaUcebnuComboBox.Clear;
UkUce := SeznamUceben.Prvni;
While UkUce <> nil do
begin
  KmenovaUcebnaComboBox.Items.Add(UkUce.Jmeno);
  PozadavekNaUcebnuComboBox.Items.Add(UkUce.Jmeno);
  UkUce := UkUce.Dalsi;
end;
PozadavekNaUcebnuComboBox.Items.Add(' < nen >');

VyucovanePredmety.Clear;
PocetZakuEdit.Clear;

AktualniTrida := nil;
TridyComboBoxChange(Sender);
ActiveControl := TridyComboBox;
end;

procedure TTridy.SmazTriduClick(Sender: TObject);
begin
  SeznamTrid.Odstran(TridyComboBox.Text);
  Tridy.TridyComboBox.Items.Delete(Tridy.TridyComboBox.ItemIndex);
  Tridy.TridyComboBox.Text := '';
  AktualniTrida := nil;
  TridyComboBoxChange(Sender);
  ActiveControl := TridyComboBox;
end;

procedure TTridy.TridyComboBoxChange(Sender: TObject);
var UkPr: TPPredmet;
begin
AktualniTrida := SeznamTrid.VratPointerTrida(TridyComboBox.Text);
If AktualniTrida <> nil then
begin
Tridy.Caption := 'Tdy a ci (' + AktualniTrida.Jmeno + ')';
TridniUcitelComboBox.Text := AktualniTrida.Tridni;
KmenovaUcebnaComboBox.Text := AktualniTrida.KmenovaUcebna;
VyucovanePredmety.Clear;
If AktualniTrida.PocetZaku > 0 then PocetZakuEdit.Text := IntToStr(AktualniTrida.PocetZaku)
                               else PocetZakuEdit.Text := '';
UkPr := AktualniTrida.Predmety;
While UkPr <> nil do
  begin
    VyucovanePredmety.Items.Add(UkPr.Zkratka);
    UkPr := UkPr.Dalsi;
  end;

end

else
begin
Tridy.Caption := 'Tdy a ci';
TridniUcitelComboBox.Text := '';
KmenovaUcebnaComboBox.Text := '';
PocetZakuEdit.Clear;
VyucovanePredmety.Clear;
end;
VyucovanePredmetyClick(Sender);
end;

procedure TTridy.VyucovanePredmetyClick(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
     VyucujeComboBox.Text :=
       (SeznamTrid.VypisUciteleUk(AktualniTrida,VyucovanePredmety.Items[VyucovanePredmety.ItemIndex]));
     PozadavekNaUcebnuComboBox.Text :=
       (SeznamTrid.VypisPozadavekNaUcebnuUk(AktualniTrida,VyucovanePredmety.Items[VyucovanePredmety.ItemIndex]));
     KolikratEdit.Text :=
       IntToStr(SeznamTrid.VypisKolikrat(AktualniTrida,VyucovanePredmety.Items[VyucovanePredmety.ItemIndex]));
     Dvouhodinovka.Checked :=
       (SeznamTrid.VypisDvouhodinovka(AktualniTrida,VyucovanePredmety.Items[VyucovanePredmety.ItemIndex]));
     if SeznamTrid.VypisCelaTrida(AktualniTrida,VyucovanePredmety.Items[VyucovanePredmety.ItemIndex])
        then CelaTrida.Checked := True else Vyber.Checked := True;
   end
 else
   begin
     VyucujeComboBox.Text := '';
     PozadavekNaUcebnuComboBox.Text := '';
     KolikratEdit.Text := '';
     Dvouhodinovka.Checked := False;
     CelaTrida.Checked := True;
   end;
end;

procedure TTridy.VyberClick(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
   SeznamTrid.ZadejCelaTridaUk(AktualniTrida,Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex],False);
   end;
VyucovanePredmetyClick(Sender);
end;

procedure TTridy.PozadavekNaUcebnuComboBoxChange(Sender: TObject);
begin
If not ((VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex])
    then VyucovanePredmetyClick(Sender);
end;

procedure TTridy.CelaTridaClick(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
   SeznamTrid.ZadejCelaTridaUk(AktualniTrida,Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex],True);
   end;
VyucovanePredmetyClick(Sender);
end;

procedure TTridy.SmazPredmetClick(Sender: TObject);
var index:integer;
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
   SeznamTrid.SmazPredmetUk(AktualniTrida,VyucovanePredmety.Items.Strings[VyucovanePredmety.ItemIndex]);
   index := VyucovanePredmety.ItemIndex;
   VyucovanePredmety.Items.Delete(VyucovanePredmety.ItemIndex);
   If (VyucovanePredmety.Items.Count - 1) >= index then
                                     VyucovanePredmety.ItemIndex := index
       else VyucovanePredmety.ItemIndex := VyucovanePredmety.Items.Count - 1;
   ActiveControl := VyucovanePredmety;
   end;
VyucovanePredmetyClick(Sender);
end;

procedure TTridy.FormClose(Sender: TObject; var Action: TCloseAction);
begin
If VyberZaku.Visible then VyberZaku.Close;
If PridaniPredmetu.Visible then PridaniPredmetu.Close;
If PridaniTridy.Visible then PridaniTridy.Close;
If StisknutoOK then SeznamTridZaloha.Done
               else begin
                    SeznamTrid.Reset;
                    SeznamTrid.Prvni := SeznamTridZaloha.Prvni;
                    SeznamTridZaloha.Prvni := nil;
                    SeznamTridZaloha.Done;
                    end;
end;

procedure TTridy.PocetZakuEditChange(Sender: TObject);
begin
if AktualniTrida = nil then PocetZakuEdit.Text := '';
end;

procedure TTridy.PocetZakuEditExit(Sender: TObject);
begin
if AktualniTrida <> nil then
               begin
                 try AktualniTrida.PocetZaku := StrToInt(PocetZakuEdit.Text);
                     If ((AktualniTrida.PocetZaku > 50) OR (AktualniTrida.PocetZaku < 0))
                        then Raise EConvertError.Create('');
                 except MessageDlg('Poet k mus bt cel slo 0..50!', mtCustom, [mbOK], 0);
                        ActiveControl := PocetZakuEdit;
                 end;
               end
               else
                 PocetZakuEdit.Text := '';
end;

procedure TTridy.KolikratEditExit(Sender: TObject);
var Kolikrat:integer;
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
     try
       Kolikrat := StrToInt(Tridy.KolikratEdit.Text);
       if (Kolikrat < 0) OR (Kolikrat > 5) then raise EConvertError.Create('');
       SeznamTrid.ZadejKolikrat(AktualniTrida,
         Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex], Kolikrat);
     except
       MessageDlg('Zde mus bt cel slo 0..5!',mtCustom, [mbOK],0);
       ActiveControl := KolikratEdit;
     end;
   end
  else VyucovanePredmetyClick(Sender);
end;

procedure TTridy.DvouhodinovkaClick(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
    SeznamTrid.ZadejDvouhodinovka(AktualniTrida,Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex],
                                Dvouhodinovka.Checked);

   end;
VyucovanePredmetyClick(Sender);

end;

procedure TTridy.TridniUcitelComboBoxExit(Sender: TObject);
var Trida:TPTrida;
begin
if AktualniTrida <> nil then
                 begin
                   If SeznamUcitelu.JeVSeznamu(TridniUcitelComboBox.Text) OR
                      (TridniUcitelComboBox.Text = '') then
                                begin
                                  Trida := AktualniTrida;
                                  If SeznamTrid.JeTridni(Trida,TridniUcitelComboBox.Text) then
                                    begin
                                      MessageDlg('Uitel "' + TridniUcitelComboBox.Text
                                          + '" u je tdn uitel ve td '+Trida.Jmeno+'!',
                                          mtCustom, [mbOK], 0);
                                      ActiveControl := TridniUcitelComboBox;
                                    end
                                   else
                                    begin
                                      AktualniTrida.Tridni := TridniUcitelComboBox.Text
                                    end;
                                end
                           else begin
                                  MessageDlg('Uitel "' + TridniUcitelComboBox.Text
                                     + '" nen zadn v seznamu Uitel!',
                                     mtCustom, [mbOK], 0);
                                  ActiveControl := TridniUcitelComboBox;
                                end;
                 end
               else
                 begin
                   TridniUcitelComboBox.ItemIndex := -1;
                   TridniUcitelComboBox.Text := '';
                 end;
end;

procedure TTridy.VyucujeComboBoxExit(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
   begin
     If SeznamUcitelu.JeVSeznamu(VyucujeComboBox.Text) OR (VyucujeComboBox.Text = '') then
       SeznamTrid.ZadejVyucujicihoUk(AktualniTrida,Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex],
                                Tridy.VyucujeComboBox.Text)
                           else begin
                                  MessageDlg('Uitel "' + VyucujeComboBox.Text
                                     + '" nen zadn v seznamu Uitel!',
                                     mtCustom, [mbOK], 0);
                                  ActiveControl := VyucujeComboBox;
                                end;
   end
  else VyucovanePredmetyClick(Sender);
end;

procedure TTridy.KmenovaUcebnaComboBoxExit(Sender: TObject);
var Trida:TPTrida;
begin
if AktualniTrida <> nil then
                 begin
                   If SeznamUceben.JeVSeznamu(KmenovaUcebnaComboBox.Text) OR
                      (KmenovaUcebnaComboBox.Text = '') then
                                begin
                                  Trida := AktualniTrida;
                                  If SeznamTrid.JeKmenovaUcebna(Trida,KmenovaUcebnaComboBox.Text) then
                                    begin
                                      MessageDlg('Uebna "' + KmenovaUcebnaComboBox.Text
                                         + '" u je kmenovou uebnou tdy '+Trida.Jmeno+'!',
                                         mtCustom, [mbOK], 0);
                                      ActiveControl := KmenovaUcebnaComboBox;
                                    end
                                   else
                                    begin
                                      AktualniTrida.KmenovaUcebna := KmenovaUcebnaComboBox.Text;
                                    end;
                                end
                           else begin
                                  MessageDlg('Uebna "' + KmenovaUcebnaComboBox.Text
                                     + '" nen zadna v seznamu Uebny!',
                                     mtCustom, [mbOK], 0);
                                  ActiveControl := KmenovaUcebnaComboBox;
                                end;
                 end
               else
                 begin
                   KmenovaUcebnaComboBox.ItemIndex := -1;
                   KmenovaUcebnaComboBox.Text := '';
                 end;
end;

procedure TTridy.TridniUcitelComboBoxChange(Sender: TObject);
begin
If AktualniTrida = nil then TridniUcitelComboBox.Text := '';
end;

procedure TTridy.KmenovaUcebnaComboBoxChange(Sender: TObject);
begin
If AktualniTrida = nil then KmenovaUcebnaComboBox.Text := '';
end;

procedure TTridy.VyucujeComboBoxChange(Sender: TObject);
begin
If not ((VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex])
    then
    VyucovanePredmetyClick(Sender);

end;

procedure TTridy.PozadavekNaUcebnuComboBoxExit(Sender: TObject);
begin
If (VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex] then
                 begin
                   If (SeznamUceben.JeVSeznamu(PozadavekNaUcebnuComboBox.Text) OR
                      (PozadavekNaUcebnuComboBox.Text = ' < nen >') OR
                      (PozadavekNaUcebnuComboBox.Text = '')) then
                        SeznamTrid.ZadejPozadavekNaUcebnuUk(AktualniTrida,
                        Tridy.VyucovanePredmety.Items[Tridy.VyucovanePredmety.Itemindex],
                        Tridy.PozadavekNaUcebnuComboBox.Text)
                           else begin
                                  MessageDlg('Uebna "' + PozadavekNaUcebnuComboBox.Text
                                     + '" nen zadna v seznamu Uebny!',
                                     mtCustom, [mbOK], 0);
                                  ActiveControl := PozadavekNaUcebnuComboBox;
                                end;
                 end
               else
                 begin
                   VyucovanePredmetyClick(Sender);
                 end;
end;

procedure TTridy.KolikratEditChange(Sender: TObject);
begin
If not ((VyucovanePredmety.Items.Count > 0) AND
    Tridy.VyucovanePredmety.Selected[Tridy.VyucovanePredmety.ItemIndex])
    then VyucovanePredmetyClick(Sender);

end;

end.
