unit Ucebny_unit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Central_unit;

type
  TUcebny = class(TForm)
    Label1: TLabel;
    UcebnyListBox: TListBox;
    Pridej: TButton;
    Smaz: TButton;
    OK: TButton;
    Storno: TButton;
    PopisLabel: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure OKClick(Sender: TObject);
    procedure StornoClick(Sender: TObject);
    procedure PridejClick(Sender: TObject);
    procedure SmazClick(Sender: TObject);
    procedure UcebnyListBoxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Ucebny: TUcebny;
  StisknutoOK: Boolean;
  SeznamUcebenZaloha: TSeznamUceben;
implementation
uses PridaniUcebny_unit;
{$R *.DFM}

procedure TUcebny.FormClose(Sender: TObject; var Action: TCloseAction);
begin
If StisknutoOK then SeznamUcebenZaloha.Done
               else begin
                    SeznamUceben.Reset;
                    SeznamUceben.Prvni := SeznamUcebenZaloha.Prvni;
                    SeznamUcebenZaloha.Prvni := nil;
                    SeznamUcebenZaloha.Done;
                    end;
end;

procedure TUcebny.FormShow(Sender: TObject);
var Uk,Novy:TPUcebny;
begin
PopisLabel.Caption := '';
StisknutoOK := False;
SeznamUcebenZaloha := TSeznamUceben.Create;
Uk := SeznamUceben.Prvni;
While Uk <> nil do
  begin
    new(Novy);
    Novy.Jmeno := Uk.Jmeno;
    Novy.Popis := Uk.Popis;
    Novy.Dalsi := nil;
    SeznamUcebenZaloha.Pridej(Novy);
    Uk := Uk.Dalsi;
  end;

UcebnyListBox.Clear;
Uk := SeznamUceben.Prvni;
While Uk <> nil do
  begin
    UcebnyListBox.Items.Add(Uk.Jmeno);
    Uk := Uk.Dalsi;
  end;
ActiveControl := UcebnyListBox;
end;

procedure TUcebny.OKClick(Sender: TObject);
begin
StisknutoOK := True;
Close;
end;

procedure TUcebny.StornoClick(Sender: TObject);
begin
Close;
end;

procedure TUcebny.PridejClick(Sender: TObject);
begin
PridaniUcebny.Visible := True;
end;

procedure TUcebny.SmazClick(Sender: TObject);
begin
If UcebnyListBox.Selected[UcebnyListBox.ItemIndex] then
  begin
    SeznamUceben.Odstran(UcebnyListbox.Items.Strings[UcebnyListBox.ItemIndex]);
    UcebnyListbox.Items.Delete(UcebnyListBox.ItemIndex);
    PopisLabel.Caption := '';
  end;  
end;

procedure TUcebny.UcebnyListBoxClick(Sender: TObject);
begin
PopisLabel.Caption := SeznamUceben.VypisPopis(UcebnyListbox.Items.Strings[UcebnyListBox.ItemIndex]);
end;

end.
